OROoro docs
Public

Get artifact download URL

Get a presigned URL to download released artifacts.

POST/v1/public/artifacts/download-url

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/v1/public/artifacts/download-url" \  -H "Content-Type: application/json" \  -d '{    "artifact_type": "AGENT_CODE",    "agent_version_id": "1c2a713c-7248-4a56-a9eb-0bdcb3a41741"  }'
{
  "download_url": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}
{
  "detail": "string",
  "error_code": "MISSING_PARAMETER"
}
{
  "detail": "string",
  "error_code": "AGENT_VERSION_NOT_FOUND"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}